package com.lyg;


import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@EnableAsync
@EnableScheduling
@EnableTransactionManagement
@EnableConfigurationProperties
@MapperScan({"com.lyg.**.mapper"})
@SpringBootApplication(scanBasePackages = {"com.lyg"})
public class YZApplication {

    public static void main(String[] args) {
        SpringApplication.run(YZApplication.class, args);
    }

}
